package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 支付状态枚举
 *
 * @author ZYJ
 * @date 2022/3/31
 */
@Getter
@AllArgsConstructor
public enum PayStatusEnum {

    /**
     * 支付状态枚举
     * 0：未支付(默认)
     * 1：已支付
     * 2：已退款
     * 3：已取消
     */
    NOT_PAY("0", "未支付"),
    PAY_SUCCESS("1", "已支付"),
    REFUND_SUCCESS("2", "已退款"),
    CANCEL("3", "已取消");

    /**
     * 状态值
     */
    private final String status;

    /**
     * 描述
     */
    private final String message;
}
